%define anolis_release 1
%global pypi_name requests-toolbelt
%global alt_name requests_toolbelt

Summary:       Utility belt for advanced users of python-requests
Name:          python-%{pypi_name}
Version:       0.10.1
Release:       %{anolis_release}%{?dist}
License:       Apache-2.0
URL:           https://toolbelt.readthedocs.io
Source0:       https://github.com/sigmavirus24/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch

%description
Requests toolbelt is a collection of utilities that some users of
python-requests might need but do not belong in requests proper.
The library is actively maintained by members of the requests core
development team, and so reflects the functionality most requested
by users of the requests library.

%package -n python3-%{pypi_name}
Summary:       %{summary}
BuildRequires: python3-devel, python3-setuptools, python3-betamax
BuildRequires: python3-pyOpenSSL, python3-pytest, python3-requests
Requires:      python3-requests
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{alt_name}}

%description -n python3-%{pypi_name}
Requests toolbelt is a collection of utilities that some users of
python-requests might need but do not belong in requests proper.
The library is actively maintained by members of the requests core
development team, and so reflects the functionality most requested
by users of the requests library.

%prep
%autosetup -p1 -n toolbelt-%{version}

# Use unittest.mock instead python-mock
sed -i -E -e 's/^(\s*)import mock/\1from unittest import mock/' \
          -e 's/^(\s*)from mock import /\1from unittest.mock import /' \
    tests/*.py tests/*/*.py


%build
%py3_build

%install
%py3_install

%check
# Compatibility issues with Python 3.10, it will be enabled again when fixed.
py.test-%{python3_version} -v --ignore=tests/test_x509_adapter.py -k "not test_stream_response_to_specific_filename and not test_stream_response_to_directory and not test_stream_response_to_existing_file and not test_stream_response_to_file_like_object and not test_stream_response_to_file_chunksize"

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{alt_name}/
%{python3_sitelib}/%{alt_name}-*.egg-info/

%changelog
* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 0.10.1-1
- Initial package from upstream
